Reorder a queued message
curl --request PATCH \
--url https://api.arg.ai/api/agent/queue/{chatId}/{queueId}/reorder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_index": 123
}
'import requests
url = "https://api.arg.ai/api/agent/queue/{chatId}/{queueId}/reorder"
payload = { "new_index": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_index: 123})
};
fetch('https://api.arg.ai/api/agent/queue/{chatId}/{queueId}/reorder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Agent
Reorder a queued message
PATCH
/
api
/
agent
/
queue
/
{chatId}
/
{queueId}
/
reorder
Reorder a queued message
curl --request PATCH \
--url https://api.arg.ai/api/agent/queue/{chatId}/{queueId}/reorder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_index": 123
}
'import requests
url = "https://api.arg.ai/api/agent/queue/{chatId}/{queueId}/reorder"
payload = { "new_index": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_index: 123})
};
fetch('https://api.arg.ai/api/agent/queue/{chatId}/{queueId}/reorder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Zero-based position to move the message to.
Response
Successful response
The response is of type object.